Get a List of Interactions
Use a GET request to retrieve a list of interactions, with details such as when the interaction started, ended, and which agents were involved. You must have the INTERACTIONS_API_READ_ALL permission to retrieve the interaction details. You can request up to 1000 interactions per page.
This request returns:
- All interactions on a tenant with the most recent interaction listed first.
- All data, except parameters that have a null value, that is stored for each interaction. You can add a filter to include the null parameter. See Returning All Parameters (Including Nulls) in a Response.
You can use other filter parameters to search for interactions that match your specified criteria. See Searching Interactions.
Request
Sample Request
curl GET https://api.cxengage.net/v1/tenants/<tenantID>/interactions
Request Parameters
| This reference is a work in progress as we continuously add to it and improve it. Your response may include statistics that are not described in this reference. If you notice that the parameter that you are looking for isn't currently listed, please check back on an ongoing basis. |
The table below lists and describes the parameters that you can include in the request.
| Parameter | Description |
|---|---|
tenantID required UUID | The tenant's unique identifier. |
Response
Sample Response
The request returns JSON structured like the example below:
{
"page": null,
"limit": 10,
"offset": 0,
"tenantId": "2336d1ec-c956-47e1-b3b1-fe8fde81b2b4",
"total": 127,
"tenantName": "Your Tenant",
"tenantTimezone": "US/Eastern",
"results": [
{
"tenantId": "2336d1ec-c956-47e1-b3b1-fe8fde81b2b4",
"customerAbandonTime": 41.149,
"endTimestamp": "2017-12-29T14:24:38.625Z",
"flowId": "28219e00-82b6-11e7-b08f-6e56a766befb",
"interactionTime": 41.154,
"segments": [
{
"segmentNumber": 0,
"segmentCancelled": true,
"interactionSegmentId": "e80733e0-eca3-11e7-9429-6aa21fb32015",
"segmentStartType": "interaction",
"endTimestamp": "2017-12-29T14:24:38.620Z",
"segmentEndType": "customer-disconnect",
"segmentCancelTime": 41.149,
"startTimestamp": "2017-12-29T14:23:57.471Z",
"segmentTime": 41.149
}
],
"interactionId": "e6952d50-eca3-11e7-ba92-25b49e03c3e7",
"contactPoint": "+15553005555",
"customer": "+15553005556",
"customerHolds": 0,
"startTimestamp": "2017-12-29T14:23:57.471Z",
"ivrTime": 1.793,
"flowName": "Basic Flow",
"queues": [
{
"queueEntryLength": 1,
"interactionSegmentId": "e80733e0-eca3-11e7-9429-6aa21fb32015",
"queueAbandonTime": 39.356,
"platformQueueId": 743,
"queueAbandoned": true,
"endTimestamp": "2017-12-29T14:24:38.620Z",
"slaAbandoned": true,
"queueExitType": "abandon",
"queueEntryType": "ivr",
"interactionQueueId": "e91807a0-eca3-11e7-8f8a-740a2f77d3cf",
"queueType": "queue",
"startTimestamp": "2017-12-29T14:23:59.264Z",
"queueName": "Support",
"queueTime": 39.356,
"slaTime": 39.356,
"queueId": "3703e470-834a-11e7-b08f-6e56a766befb"
}
],
"direction": "inbound",
"channelType": "voice"
},
{
"tenantId": "2336d1ec-c956-47e1-b3b1-fe8fde81b2b4",
"customerAbandonTime": 94.166,
"endTimestamp": "2017-12-07T19:22:07.638Z",
"flowId": "28219e00-82b6-11e7-b08f-6e56a766befb",
"interactionTime": 94.244,
"segments": [
{
"segmentNumber": 0,
"segmentCancelled": true,
"interactionSegmentId": "b2233520-db83-11e7-b86d-6aa612aefe9d",
"segmentStartType": "interaction",
"endTimestamp": "2017-12-07T19:22:07.560Z",
"segmentEndType": "customer-disconnect",
"segmentCancelTime": 94.166,
"startTimestamp": "2017-12-07T19:20:33.394Z",
"segmentTime": 94.166
}
],
"interactionId": "b2109780-db83-11e7-9709-c2b07aa3bee9",
"contactPoint": "+15553005555",
"customer": "+15553005556",
"customerHolds": 0,
"startTimestamp": "2017-12-07T19:20:33.394Z",
"ivrTime": 0.173,
"flowName": "Basic Flow",
"queues": [
{
"queueEntryLength": 1,
"interactionSegmentId": "b2233520-db83-11e7-b86d-6aa612aefe9d",
"queueAbandonTime": 93.993,
"platformQueueId": 743,
"queueAbandoned": true,
"endTimestamp": "2017-12-07T19:22:07.560Z",
"slaAbandoned": true,
"queueExitType": "abandon",
"queueEntryType": "ivr",
"interactionQueueId": "b23cb090-db83-11e7-95f3-204e8fcfa723",
"queueType": "queue",
"startTimestamp": "2017-12-07T19:20:33.567Z",
"queueName": "Support",
"queueTime": 93.993,
"slaTime": 93.993,
"queueId": "3703e470-834a-11e7-b08f-6e56a766befb"
}
],
"direction": "inbound",
"channelType": "voice"
},
{
"tenantId": "2336d1ec-c956-47e1-b3b1-fe8fde81b2b4",
"customerAbandonTime": 15.923,
"flagged": true,
"endTimestamp": "2017-12-05T22:56:52.020Z",
"flowId": "28219e00-82b6-11e7-b08f-6e56a766befb",
"interactionTime": 16.003,
"segments": [
{
"segmentNumber": 0,
"segmentCancelled": true,
"interactionSegmentId": "8ba30210-da0f-11e7-b09a-a24faebeabe1",
"segmentStartType": "interaction",
"endTimestamp": "2017-12-05T22:56:51.940Z",
"segmentEndType": "customer-disconnect",
"segmentCancelTime": 15.923,
"startTimestamp": "2017-12-05T22:56:36.017Z",
"segmentTime": 15.923
}
],
"interactionId": "8b8e8fb0-da0f-11e7-9709-c2b07aa3bee9",
"contactPoint": ""+15553005555"",
"customer": "+19057555612",
"customerHolds": 0,
"startTimestamp": "2017-12-05T22:56:36.017Z",
"ivrTime": 0.183,
"flowName": "Basic Flow",
"queues": [
{
"queueEntryLength": 1,
"interactionSegmentId": "8ba30210-da0f-11e7-b09a-a24faebeabe1",
"queueAbandonTime": 15.74,
"platformQueueId": 743,
"queueAbandoned": true,
"endTimestamp": "2017-12-05T22:56:51.940Z",
"slaAbandoned": true,
"queueExitType": "abandon",
"queueEntryType": "ivr",
"interactionQueueId": "8bbe0420-da0f-11e7-95f3-204e8fcfa723",
"queueType": "queue",
"startTimestamp": "2017-12-05T22:56:36.200Z",
"queueName": "Support",
"queueTime": 15.74,
"slaTime": 15.74,
"queueId": "3703e470-834a-11e7-b08f-6e56a766befb"
}
],
"direction": "inbound",
"channelType": "voice"
},
{
"tenantId": "2336d1ec-c956-47e1-b3b1-fe8fde81b2b4",
"endTimestamp": "2017-12-05T18:10:59.704Z",
"flowId": "8590ce70-8668-11e7-b018-9a5ac3da6edd",
"customerTransfers": 8,
"interactionTime": 20.414,
"segments": [
{
"endTimestamp": "2017-12-05T18:12:05.319Z",
"interactionSegmentId": "996e1290-d9e7-11e7-b3f1-2675b8cf7e39",
"segmentEndType": "success",
"segmentStartType": "interaction",
"segmentToAgentId": "e05468e0-82b1-11e7-b08f-6e56a766befb",
"startTimestamp": "2017-12-05T18:10:39.290Z",
"segmentNumber": 0,
"segmentTime": 86.029
},
{
"interactionSegmentId": "bbb2f5f0-d9e7-11e7-b3f1-2675b8cf7e39",
"agentId": "e05468e0-82b1-11e7-b08f-6e56a766befb",
"transfer": true,
"segmentCancelled": true,
"interactionAgentId": "9a60aff0-d9e7-11e7-816a-c7c1ef97bf27",
"segmentStartType": "transfer",
"startTimestamp": "2017-12-05T18:11:36.783Z",
"segmentNumber": 2
},
{
"interactionSegmentId": "baad1eb0-d9e7-11e7-b3f1-2675b8cf7e39",
"agentId": "e05468e0-82b1-11e7-b08f-6e56a766befb",
"transfer": true,
"segmentCancelled": true,
"interactionAgentId": "9a60aff0-d9e7-11e7-816a-c7c1ef97bf27",
"segmentStartType": "transfer",
"startTimestamp": "2017-12-05T18:11:35.068Z",
"segmentNumber": 1
},
{
"interactionSegmentId": "bbd3eb70-d9e7-11e7-b3f1-2675b8cf7e39",
"agentId": "e05468e0-82b1-11e7-b08f-6e56a766befb",
"transfer": true,
"segmentCancelled": true,
"interactionAgentId": "9a60aff0-d9e7-11e7-816a-c7c1ef97bf27",
"segmentStartType": "transfer",
"startTimestamp": "2017-12-05T18:11:37.000Z",
"segmentNumber": 3
},
{
"interactionSegmentId": "bd6f24e0-d9e7-11e7-b3f1-2675b8cf7e39",
"agentId": "e05468e0-82b1-11e7-b08f-6e56a766befb",
"transfer": true,
"segmentCancelled": true,
"interactionAgentId": "9a60aff0-d9e7-11e7-816a-c7c1ef97bf27",
"segmentStartType": "transfer",
"startTimestamp": "2017-12-05T18:11:39.694Z",
"segmentNumber": 4
},
{
"interactionSegmentId": "c033c320-d9e7-11e7-b3f1-2675b8cf7e39",
"agentId": "e05468e0-82b1-11e7-b08f-6e56a766befb",
"transfer": true,
"segmentCancelled": true,
"interactionAgentId": "9a60aff0-d9e7-11e7-816a-c7c1ef97bf27",
"segmentStartType": "transfer",
"startTimestamp": "2017-12-05T18:11:44.339Z",
"segmentNumber": 5
},
{
"interactionSegmentId": "c1bfe160-d9e7-11e7-b3f1-2675b8cf7e39",
"agentId": "e05468e0-82b1-11e7-b08f-6e56a766befb",
"transfer": true,
"segmentCancelled": true,
"interactionAgentId": "9a60aff0-d9e7-11e7-816a-c7c1ef97bf27",
"segmentStartType": "transfer",
"startTimestamp": "2017-12-05T18:11:46.934Z",
"segmentNumber": 7
},
{
"interactionSegmentId": "c19cc900-d9e7-11e7-b3f1-2675b8cf7e39",
"agentId": "e05468e0-82b1-11e7-b08f-6e56a766befb",
"transfer": true,
"segmentCancelled": true,
"interactionAgentId": "9a60aff0-d9e7-11e7-816a-c7c1ef97bf27",
"segmentStartType": "transfer",
"startTimestamp": "2017-12-05T18:11:46.704Z",
"segmentNumber": 6
},
{
"interactionSegmentId": "c678ae80-d9e7-11e7-b3f1-2675b8cf7e39",
"agentId": "e05468e0-82b1-11e7-b08f-6e56a766befb",
"transfer": true,
"segmentCancelled": true,
"interactionAgentId": "9a60aff0-d9e7-11e7-816a-c7c1ef97bf27",
"segmentStartType": "transfer",
"startTimestamp": "2017-12-05T18:11:54.858Z",
"segmentNumber": 8
}
],
"interactionId": "98a56b60-d9e7-11e7-9c4e-7eab04d876eb",
"contactPoint": "kdemo@gmail.com",
"customer": "kdemo@service.com",
"customerHolds": 0,
"startTimestamp": "2017-12-05T18:10:39.290Z",
"ivrTime": 0.203,
"agents": [
{
"platformAgentId": 15184,
"agentWorkAccepted": true,
"agentName": "Kris Agent",
"agentWorkOfferTime": 18.186,
"agentWrapUpTime": 3.822,
"sessionId": "60938bf0-d9e5-11e7-9330-6833ccd45639",
"interactionSegmentId": "996e1290-d9e7-11e7-b3f1-2675b8cf7e39",
"agentId": "e05468e0-82b1-11e7-b08f-6e56a766befb",
"interactionAgentId": "9a60aff0-d9e7-11e7-816a-c7c1ef97bf27",
"endTimestamp": "2017-12-05T18:12:05.319Z",
"agentHandleTime": 65.36,
"agentFocusTime": 145.5,
"startTimestamp": "2017-12-05T18:10:40.879Z",
"tenantAgentId": 8376,
"agentConversationTime": 61.538,
"agentReadTime": 60.151,
"queueId": "3703e470-834a-11e7-b08f-6e56a766befb",
"agentTalkTime": 61.538,
"agentWorkAcceptedTime": 18.186
}
],
"flowName": "Email Flow",
"queues": [
{
"queueEntryLength": 1,
"interactionSegmentId": "996e1290-d9e7-11e7-b3f1-2675b8cf7e39",
"agentId": "e05468e0-82b1-11e7-b08f-6e56a766befb",
"platformQueueId": 743,
"endTimestamp": "2017-12-05T18:10:59.360Z",
"queueExitType": "success",
"queueEntryType": "ivr",
"interactionQueueId": "998d0c40-d9e7-11e7-95f3-204e8fcfa723",
"queueType": "queue",
"startTimestamp": "2017-12-05T18:10:39.493Z",
"queueName": "Support",
"queueTime": 19.867,
"slaTime": 80.018,
"queueId": "3703e470-834a-11e7-b08f-6e56a766befb",
"timeToAnswer": 80.018
}
],
"direction": "inbound",
"channelType": "email"
}, ...
]
}
Response Parameters
Your response may include statistics that are not described in this reference. For more information about the statistics that are returned, see the Data Dictionary.
The table below lists and describes the parameters that can be returned in the response.
| Parameter | Description | ||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| page | The page number for the page of results returned in the request. | ||||||||||||||||||||||||||||||||||||||||||||
| limit | The number of interactions to return per page. The default is 10. The maximum is 1000. | ||||||||||||||||||||||||||||||||||||||||||||
| offset | The offset, if specified, from the request. For example, the request might show interactions from page 10. | ||||||||||||||||||||||||||||||||||||||||||||
| tenantId | The unique identifier of the tenant. | ||||||||||||||||||||||||||||||||||||||||||||
| total | The number of interactions on the tenant. | ||||||||||||||||||||||||||||||||||||||||||||
| tenantTimeZone | The tenant's timezone, in TZ database format. This consists of a continent/city pair - for example, US/Central. | ||||||||||||||||||||||||||||||||||||||||||||
| results | For each interaction, the following parameters might be returned:
|
Copyright © 2026 Enghouse Interactive. All Rights Reserved.